Bug 1661950 - Not all satellite clients are visible on satellite's insights inventory page
Summary: Not all satellite clients are visible on satellite's insights inventory page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Cloud Software Services (cloud.redhat.com)
Classification: Red Hat
Component: Client
Version: unspecified
Hardware: x86_64
OS: All
high
high
Target Milestone: ---
: ---
Assignee: Rex White
QA Contact: Jeff Needle
Kevin Blake
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 19:16 UTC by Amar Huchchanavar
Modified: 2019-09-02 11:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-02 11:39:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3776341 None None None 2018-12-27 02:03:47 UTC

Description Amar Huchchanavar 2018-12-24 19:16:13 UTC
Description of problem:
Unable to see some of the clients under Insights -> Inventory page on satellite.

Version-Release number of selected component (if applicable):
insights-client + satellite 6

How reproducible:
Always

Steps to Reproduce:
1.Register system to Satellite for software updates.
2.Register system to insights
3.Unregister system from Satellite.
4.Upload insights data using #insights-client 
5.Check Inventory page on Satellite.

Actual results:
It does not show the re-registered system under Satellite's Inventory page.

Expected results:
It should show the system.

Additional info:
This issue occurs when there is a mismatch in remote_branch and system's identity
[remote_leaf from insights  !=  #subscription-manager identity ]

Comment 6 Djebran Lezzoum 2019-05-03 10:35:18 UTC
Verified with satellite 6.5 and 6.4

Steps:
   1.Register system to Satellite using subscription-manager.
   2.Register system to insights
    - System visible in Satellite - Insights > Inventory
   3.Unregister system from Satellite.
    - System not visible in Satellite - Insights > Inventory 
   4- Register again system to Satellite.
    - System not visible in Satellite - Insights > Inventory 
   5. in system run command: insights-client
    - System visible in Satellite - Insights > Inventory

retried steps 3-5 and the behavior is constant between retries

Comment 7 Djebran Lezzoum 2019-09-02 08:34:36 UTC
This bug seems not relevant anymore, created an automation test

Steps:

1. Subscribe a host to satellite
2. Register the host with insights-client --register
3. Ensure the host is visible in satellite Insights Inventory
4. Unregister the host from satellite with subscription-manager unregister
5. Ensure the host is not visible in satellite Insights Inventory
6. Subscribe the host to satellite again
7. Run command: insights-client

expected results:
The host is visible in satellite Insights Inventory page


test passing on satellite 6.4 and satellite 6.5


Note You need to log in before you can comment on or make changes to this bug.